bdi4jade.reasoning

## Class DefaultDeliberationFunction

- java.lang.Object
- - bdi4jade.reasoning.AbstractReasoningStrategy
  - - bdi4jade.reasoning.DefaultDeliberationFunction

- All Implemented Interfaces:
    DeliberationFunction, ReasoningStrategy

      public class DefaultDeliberationFunction
      extends AbstractReasoningStrategy
      implements DeliberationFunction

  This class is the default implementation of the strategy `DeliberationFunction`. It selects all intentions to be tried.
  Author:
    Ingrid Nunes

- - ### Field Summary

    - ### Fields inherited from class bdi4jade.reasoning.AbstractReasoningStrategy

      `capability`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDeliberationFunction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<Goal>` | `filter(java.util.Set<GoalUpdateSet.GoalDescription> goals)` This method selects all goals to become intentions.

    - ### Methods inherited from class bdi4jade.reasoning.AbstractReasoningStrategy

      `setCapability`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface bdi4jade.reasoning.ReasoningStrategy

      `setCapability`

- - ### Constructor Detail

    - #### DefaultDeliberationFunction

          public DefaultDeliberationFunction()

  - ### Method Detail

    - #### filter

          public java.util.Set<Goal> filter(java.util.Set<GoalUpdateSet.GoalDescription> goals)

      This method selects all goals to become intentions. Therefore it returns a set including all goal passed as parameter.
      Specified by:
        `filter` in interface `DeliberationFunction`
      Parameters:
        `goals` - the list of current goals dispatched by the capability associated with this strategy.
      Returns:
        the list of selected goals, which will become intentions.
      See Also:
        `DeliberationFunction.filter(Set)`